
QGIS Application - Bug report #20182

importing dxf, it loses z or elevation attribute.

2018-10-22 05:00 PM - yonghyun kim

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: DWG/DXF import

Affected QGIS version:3.2.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 28003

Description

When import a contour layer from dxf, z or elevation attribute is disappeared.

I can see only line color, thinkenss ...attribute.

When import dxf with arcgis, I can see attribute name 'Elevation'.

History

#1 - 2018-10-22 05:08 PM - yonghyun kim

- File 7111_7114.dxf added

#2 - 2019-01-23 05:47 PM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

DXF doesn't contain separate elevations.  The elevation is part of the geometries and not necessarily the same for all points of line.  QGIS imports the DXF

in 3D.  You'll find that the elevation tool will produces a derived Z value when you click on a elevated feature.   AFAIK there's current no expression to

produce the average elevation of a line geometry (only the z value of a point) - but processing has the "extract z value" tool.

Files

7111_7114.dxf 599 KB 2018-10-22 yonghyun kim
